Get Endpoint
GET
/api/v1/savings-goals/{goal_id}
const url = 'https://example.com/api/v1/savings-goals/1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/savings-goals/1Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”goal_id
required
Goal Id
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
SavingsGoalOut
object
id
required
Id
integer
user_id
required
User Id
integer
name
required
Name
string
target_amount
required
Target Amount
string
current_amount
required
Current Amount
string
archived
required
Archived
boolean
linked_account_ids
Linked Account Ids
Array<integer>
effective_schedule
Any of:
EffectiveScheduleOut
The pay schedule an envelope or goal actually uses: its pick, else the user’s default.
object
id
required
Id
integer
name
required
Name
string
is_default
required
Is Default
boolean
null
template_projection
Any of:
GoalProjectionOut
When a goal completes if its template’s contribution is made every paycheck or month.
object
null
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{ "linked_account_ids": [], "template_projection": { "kind": "per_paycheck", "status": "reached", "deadline_status": "on_track" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}